"use strict";
/**
 * @athenna/core
 *
 * (c) João Lenon <lenon@athenna.io>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Facade = exports.ProxyHandler = void 0;
class ProxyHandler {
    constructor(alias) {
        this.alias = alias;
    }
    get(_object, key) {
        const provider = ioc.use(this.alias);
        if (!provider) {
            return () => { };
        }
        return provider[key];
    }
}
exports.ProxyHandler = ProxyHandler;
class Facade {
    /**
     * Creates a new facade for alias.
     *
     * @param alias
     * @return any
     */
    static createFor(alias) {
        return new Proxy(this, new ProxyHandler(alias));
    }
}
exports.Facade = Facade;
